#ifndef XMATERIALTEXTUREDEFINFO_H
#define XMATERIALTEXTUREDEFINFO_H

#include "xasset.h"
#include "xgfximage.h"
#include "xwater.h"

class XMaterialTextureDefInfo : public XAsset
{
public:
    XMaterialTextureDefInfo();
    ~XMaterialTextureDefInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGfxImage *mImage;
    XWater *mWater;
};

#endif // XMATERIALTEXTUREDEFINFO_H
